Bug 220368

Summary: www/pycarddav: Add DEPRECATED pointing to alternative software
Product: Ports & Packages Reporter: Alexandre C. Guimarães <rigoletto>
Component: Individual Port(s)Assignee: Kubilay Kocak <koobs>
Status: Closed FIXED    
Severity: Affects Some People CC: samir
Priority: --- Flags: bugzilla: maintainer-feedback? (samir)
koobs: merge-quarterly-
Version: Latest   
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238543
Attachments:
Description Flags
Patch to deprecat the port in favor of py-khard samir: maintainer-approval+

Description Alexandre C. Guimarães freebsd_committer 2017-06-29 22:21:24 UTC
pycarddav is dead: 

http://lostpackets.de/pycarddav/
https://github.com/geier/pycarddav/

Upstream recommends khard as substitute:

https://github.com/scheibler/khard

Thanks.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-09-26 05:10:40 UTC
I'm communicating with both maintainers (of duplicated ports: deskutils/py-pycarddav, www/pycarddav).

Note: The upstream maintainer, while using 'dead' to describe the project, has also noted that bugs will be fixed (for a particular backend), which is contrary to an unequivocal 'deprecation/dead' announcement.

From a user perspective, while the software works and could/can remain working with support (bugs being fixed) from the author, it remains valuable.

This issue not withstanding the port duplication needs to be resolved (independently, or at the same time)
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-25 09:25:16 UTC
@Samir Let's go with adding DEPRECATED for now, pointing to the most appropriate alternative port, and depending what happens with upstream in the meantime, in particular whether they merge bugfixes or not, we'll think about adding an EXPIRATION_DATE in the future
Comment 3 Alexandre C. Guimarães freebsd_committer 2019-06-25 15:35:53 UTC
deskutils/py-khard is the natural option IMO.

https://github.com/scheibler/khard/
Comment 4 samir 2019-06-26 00:53:35 UTC
Created attachment 205340 [details]
Patch to deprecat the port in favor of py-khard

Yes desktutils/py-khard looks like the port to replace pycarddav. The patch is in attachment to add DEPRECATED.
Comment 5 commit-hook freebsd_committer 2019-12-20 04:34:05 UTC
A commit references this bug:

Author: koobs
Date: Fri Dec 20 04:33:26 UTC 2019
New revision: 520464
URL: https://svnweb.freebsd.org/changeset/ports/520464

Log:
  www/pycarddav: Deprecate port

  Upstream has declared [1][2] the software deprecated:

  "This project is dead. pyCardDAV is deprecated. See the relevant issue. A
  good alternative is khard."

  [1] http://lostpackets.de/pycarddav/
  [2] https://github.com/geier/pycarddav

  Set a 3 month expiry to give users sufficient time to migrate

  PR:		220368
  Reported by:	rigoletto
  Submitted by:	Samir <samir noir im>
  MFH:		No

Changes:
  head/www/pycarddav/Makefile
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2019-12-20 04:35:38 UTC
Committed, with changes (added EXPIRATION_DATE). 

Apologies for the delay Samir